Bug 1156778 - dnf repoquery: sort the output alphabetically
dnf repoquery: sort the output alphabetically
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-25 02:40 EDT by Tim Lauridsen
Modified: 2015-09-23 00:13 EDT (History)
7 users (show)

See Also:
Fixed In Version: 1.1.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 19:19:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Lauridsen 2014-10-25 02:40:57 EDT
Description of problem:
dnf repoquery dont show the same results as repoquery (yum-utils)

It look like it shows requirements for scriptlets also
look like dnf repoquery show the same result as rpm -q --requires, but it should
no show the solvable:prereqmarker.

 

Version-Release number of selected component (if applicable):
dnf-plugins-core-0.1.3-1.fc21.noarch

How reproducible:
everytime


Steps to Reproduce:
1. sudo dnf repoquery -C --requires dnfdaemon

Actual results:

$ sudo dnf repoquery -C --requires dnfdaemon
/usr/bin/python3
python3-gobject
polkit
python3-dbus
python(abi) = 3.4
python3-dnf >= 0.6.1
solvable:prereqmarker
/bin/sh
policycoreutils-python


Expected results:

$ repoquery -C --requires dnfdaemon
/bin/sh
/usr/bin/python3
policycoreutils-python
polkit
python(abi) = 3.4
python3-dbus
python3-dnf >= 0.6.1
python3-gobject

Additional info:
Comment 1 Tim Lauridsen 2014-10-25 02:42:38 EDT
I will look into this myself, the bug is for tracking the issue
Comment 2 Jaroslav Reznik 2015-03-03 12:04:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora Update System 2015-09-01 05:52:08 EDT
dnf-plugins-core-0.1.11-1.fc23 dnf-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 4 Fedora Update System 2015-09-01 16:22:40 EDT
dnf-1.1.1-1.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 5 Fedora Update System 2015-09-08 08:38:29 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 6 Fedora Update System 2015-09-08 08:38:30 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 7 Fedora Update System 2015-09-08 08:40:04 EDT
dnf-1.1.1-2.fc23 dnf-plugins-core-0.1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 8 Fedora Update System 2015-09-08 13:52:00 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 9 Fedora Update System 2015-09-08 17:26:16 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf-plugins-core dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 10 Fedora Update System 2015-09-09 19:18:48 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-09-23 00:12:17 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.